//------Beveled P O V Letters ...10/04/92 M.Miller



//---- Front Surface of Type
#declare TypeTexture =
texture { gold2 }

texture {
	gradient <0 0 1>
	color_map {
	   [0 .1 color Clear color Clear]
	   [.1 1 color Scarlet alpha .7 color Scarlet alpha .7]
	}
        reflection .8
	ambient .1
	diffuse .5
scale <1 1 10>
}
	
//---- Stem stroke of P
#declare P1 =
object {
   difference {
     box { UnitBox scale <15 50 5> translate <0 50 5> }
     plane { <0 0 1> 0 rotate <0 45 0> translate <0 0 -10> }
     plane { <0 0 1> 0 rotate <0 -45 0> translate <0 0 -10> }
     plane { <0 0 1> 0 rotate <-45 0 0> translate <0 15 -10> }
     plane { <0 0 1> 0 rotate <45 0 0> translate <0 85 -10> }
   }
	texture { TypeTexture }
          bounded_by {
	  box { UnitBox scale <16 51 11> translate <0 50 10> }
	  }
}


#declare P2 =
object {
  union {
   difference {
     intersection { Disk_Z scale <35 35 5> translate <26 65 5> }
     plane { <1 0 0> 26 }
     quadric { Cylinder_Z scale <5 5 1> translate <26 65 10> }	
     quadric { QCone_Z scale <30 30 30> translate <26 65 -30> inverse }     
     quadric { QCone_Z scale <15 15 15> translate <26 65 10>  }     
   }
   difference {
     box { UnitBox scale <13 15 5> translate <13 85 5> }
     plane { <0 0 1> 0 rotate <45 0 0> translate <0 85 -10> }
     plane { <0 0 1> 0 rotate <-45 0 0> translate <0 85 -10> }
   }
   difference {
     box { UnitBox scale <13 15 5> translate <13 45 5> }
     plane { <0 0 1> 0 rotate <45 0 0> translate <0 45 -10> }
     plane { <0 0 1> 0 rotate <-45 0 0> translate <0 45 -10> }
   }
  }
	texture { TypeTexture }
          bounded_by {
          box { UnitBox scale <33 37 12> translate <30 65 10> }
	  }
}

//--- Complete "P"
#declare P =
composite {
object { P1 }
object { P2 }
}

//--- Complete "O"
#declare O =
object {
   difference {
     intersection { Disk_Z scale <50 50 5> translate <0 50 5> }
     quadric { Cylinder_Z scale <20 20 1> translate <0 50 0> }	
     quadric { QCone_Z scale <50 50 50> translate <0 50 -45> inverse }     
     quadric { QCone_Z scale <50 50 50> translate <0 50 25>  }     
   }
	texture { TypeTexture }
          bounded_by {
          intersection { Disk_Z scale <51 51 11> translate <0 50 10> }
	  }
}


#declare V1 =
difference {
   box { UnitBox scale <15 70 5> translate <0 50 5> }
   plane { <0 0 1> 0 rotate <0 45 0> translate <0 0 -10> }
   plane { <0 0 1> 0 rotate <0 -45 0> translate <0 0 -10> }
}

//--- Complete "V"
#declare V =
object {
   difference {
    union {
     difference { V1 rotate <0 0 16> }
     difference { V1 rotate <0 0 -16> }
    }
     plane { <0 0 1> 0 rotate <45 0 0> translate <0 85 -10> }
     plane { <0 0 1> 0 rotate <-45 0 0> translate <0 15 -10> }
     plane { <0 1 0> 0 }
     plane { <0 1 0> 100 inverse }	
   }
	texture { TypeTexture }
          bounded_by {
          box { UnitBox scale <69 56 12> translate <0 50 10> }
	  }
}


#declare POV =
composite {
   composite { P translate <-130 0 0> }
   object { O scale <.85 1 1> translate <0 0 0> }
   object { V scale <.90 1 1> translate <104 0 0> }
          bounded_by {
          box { UnitBox scale <160 54 12> translate <0 50 10> }
	  }
}

